openssl_csr_sign
openssl_dh_compute_key
OpenSSL Funções
PHP Manual

# openssl_decrypt

(PHP 5 >= 5.3.0)

openssl_decrypt — Decrypts data

### Descrição

string openssl_decrypt ( string `$data` , string `$method` , string `$password` [, string `$raw_input` = false ] )

Takes a raw or base64 encoded string and decrypts it using a given method and key.

Aviso

Esta função não está documentada; somente a lista de argumentos está disponível.

### Parâmetros

`data`

  The data.

`method`

  The cipher method.

`password`

  The password.

`raw_input`

  Setting to `TRUE` will take a raw encoded string, otherwise a base64 string is assumed for the `data` parameter.

### Valor Retornado

The decrypted string on success or `FALSE` on failure.

### Erros

Emits an `E_WARNING` level error if an unknown cipher algorithm is passed via the `method` parameter.

### Veja Também

- openssl_encrypt() - Encrypts data

openssl_csr_sign
openssl_dh_compute_key
OpenSSL Funções
PHP Manual